# Les relations de cardinalités dans Qualigéo

Dans Qualigéo, trois types de relations peuvent être représentées :

*   ![](../Ressources/Images/1_cardinalite.png) De 1 vers 0 à n
*   ![](../Ressources/Images/2_quardinalite.png) DE 1 vers 0 ou 1
*   ![](../Ressources/Images/3_cardinalite.png) De 1 vers 1

A partir de ces trois relations, 6 types de cardinalités, entre deux éléments, peuvent être définis :

## Cardinalité 1-1

![](../Ressources/Images/cardinalite1-1.png)

Pour cette cardinalité, la relation définit que le parent ne peut avoir qu’un seul enfant et inversement un enfant ne peut avoir qu’un seul parent.

## Cardinalité 0..1-0..1

![](../Ressources/Images/cardinalite0.1-0.1.png)

Pour cette cardinalité la relation définit que le parent peut avoir 0 ou 1 enfant et inversement un enfant peut avoir 0 ou 1 un parent.

## Cardinalité 1-n

![](../Ressources/Images/cardinalite1-n.png)

Pour cette cardinalité la relation définit que le parent peut avoir 0 à n enfants et un enfant ne peut avoir qu’un seul parent.

## Cardinalité 0..1-n

![](../Ressources/Images/cardinalite_0.1-n.png)

Pour cette cardinalité la relation définit que le parent peut avoir 0 à n enfants et un enfant peut avoir 0 ou 1 un parent

## Cardinalité 0..1-1

![](../Ressources/Images/cardinalite0.1-1.png)

Pour cette cardinalité la relation définit que le parent peut avoir 0 ou1 enfant et un enfant ne peut avoir qu’un parent

## Cardinalité n-n

![](../Ressources/Images/cardinaliten-n.png)

Pour cette cardinalité la relation définit que le parent peut avoir 0 à n enfants et un enfant peut avoir 0 à n parents.

Pour les éléments physiques, les relations n – n ne sont pas représentables. Un élément intermédiaire est utilisé afin de faire la relation :

![](../Ressources/Images/cardinalite_n-n_2.png)

Dans ce schéma les éléments parents et enfants sont parents de la table intermédiaire. Ce qui donne deux relations 1 – n.

A partir de ces schémas, nous avons définis les cardinalités suivantes dans Qualigéo : Un parent a au minimum 0,1,2… (valeur entière) d’enfants et au maximum (1,2,…,n) enfants.

Les valeurs acceptables dans qualigéo seront donc :

*   pour le min : une valeur entière, les valeurs 0, 1 ou 2 seront proposées,
*   pour le max : une valeur entière >=1 ou n, les valeurs proposées seront 1, 2 ou n.

Un enfant a au maximum 1 parent et au minimum 0 ou 1 parent:

*   pour le min : 0 ou 1 ces valeurs seront obligatoires,
*   pour le max : 1 valeur obligatoire.
