## Type de géométrie et interprétation géométrique

La distinction entre le type de géométrie et l’interprétation géométrique est un point important : le type de géométrie indique la géométrie formée par les coordonnées alors que l’interprétation géométrique spécifie comment la géométrie est interprétée. Par exemple, une géométrie de type point peut être interprétée par un des types suivants : point, arc, ellipse ou texte.

Les combinaisons valides entre type de géométrie (colonnes) et interprétation géométrique (lignes) sont décrites dans le tableau ci-dessous :

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-2eas{background-color:#eae8e8;border-color:#c0c0c0;text-align:left;vertical-align:top}
.tg .tg-4n2o{border-color:#c0c0c0;font-weight:bold;text-align:center;vertical-align:top}
.tg .tg-hjsu{background-color:#923288;border-color:#c0c0c0;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-m59i{background-color:#923288;border-color:#c0c0c0;text-align:left;vertical-align:top}
.tg .tg-wo29{border-color:#c0c0c0;text-align:left;vertical-align:top}
.tg .tg-e94p{background-color:#eae8e8;border-color:#c0c0c0;font-weight:bold;text-align:center;vertical-align:top}
</style>
<table class="tg">
  <tr>
    <th class="tg-m59i"></th>
    <th class="tg-hjsu">fme_point<br></th>
    <th class="tg-hjsu">fme_line<br></th>
    <th class="tg-hjsu">fme_polygon<br></th>
    <th class="tg-hjsu">fme_donut<br></th>
    <th class="tg-hjsu">fme_aggregate<br></th>
    <th class="tg-hjsu">fme_no_geom<br></th>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_point</td>
    <td class="tg-4n2o">X</td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-4n2o">X</td>
    <td class="tg-wo29"></td>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_arc</td>
    <td class="tg-e94p">X</td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_ellipse</td>
    <td class="tg-4n2o">X</td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_text</td>
    <td class="tg-e94p">X</td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_line</td>
    <td class="tg-wo29"></td>
    <td class="tg-4n2o">X</td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-4n2o">X</td>
    <td class="tg-wo29"></td>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_area</td>
    <td class="tg-2eas"></td>
    <td class="tg-2eas"></td>
    <td class="tg-e94p">X</td>
    <td class="tg-e94p">X</td>
    <td class="tg-e94p">X</td>
    <td class="tg-2eas"></td>
  </tr>
  <tr>
    <td class="tg-hjsu">fme_undefined</td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-wo29"></td>
    <td class="tg-4n2o">X</td>
  </tr>
</table>
